<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: backend/src/lib/server/moxit_server.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8c739bbef76d64b22d6b0911c526dd76.html">backend</a></li><li class="navelem"><a class="el" href="dir_27747142951285b09bacafa002e92b5f.html">src</a></li><li class="navelem"><a class="el" href="dir_cecc8ab0f6e720ec77fada3731d67481.html">lib</a></li><li class="navelem"><a class="el" href="dir_47f992fc4a5d123a396123dd9e441eaf.html">server</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">moxit_server.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sys/socket.h&gt;</code><br />
<code>#include &lt;arpa/inet.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/epoll.h&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;errno.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;signal.h&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;QString&gt;</code><br />
<code>#include &lt;QJsonDocument&gt;</code><br />
<code>#include &lt;QJsonValue&gt;</code><br />
<code>#include &lt;QJsonObject&gt;</code><br />
<code>#include &lt;QJsonArray&gt;</code><br />
<code>#include &quot;<a class="el" href="request_8h_source.html">request.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="request__header_8h_source.html">request_header.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="handler_8h_source.html">handler.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="response_8h_source.html">response.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="http__status_8h_source.html">http_status.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="game_8hpp_source.html">../game/game.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for moxit_server.h:</div>
<div class="dyncontent">
<div class="center"><img src="moxit__server_8h__incl.png" border="0" usemap="#backend_2src_2lib_2server_2moxit__server_8h" alt=""/></div>
<map name="backend_2src_2lib_2server_2moxit__server_8h" id="backend_2src_2lib_2server_2moxit__server_8h">
<area shape="rect" title=" " alt="" coords="1945,5,2109,47"/>
<area shape="rect" title=" " alt="" coords="435,319,515,345"/>
<area shape="rect" title=" " alt="" coords="2398,95,2501,121"/>
<area shape="rect" title=" " alt="" coords="2525,95,2617,121"/>
<area shape="rect" title=" " alt="" coords="2642,95,2716,121"/>
<area shape="rect" title=" " alt="" coords="400,244,475,271"/>
<area shape="rect" title=" " alt="" coords="2740,95,2804,121"/>
<area shape="rect" title=" " alt="" coords="1100,319,1162,345"/>
<area shape="rect" title=" " alt="" coords="601,244,693,271"/>
<area shape="rect" title=" " alt="" coords="324,169,410,196"/>
<area shape="rect" title=" " alt="" coords="2829,95,2897,121"/>
<area shape="rect" title=" " alt="" coords="717,244,788,271"/>
<area shape="rect" title=" " alt="" coords="1555,319,1614,345"/>
<area shape="rect" title=" " alt="" coords="2922,95,3018,121"/>
<area shape="rect" title=" " alt="" coords="3042,95,3116,121"/>
<area shape="rect" title=" " alt="" coords="540,319,664,345"/>
<area shape="rect" title=" " alt="" coords="1949,244,2020,271"/>
<area shape="rect" title=" " alt="" coords="2044,244,2170,271"/>
<area shape="rect" title=" " alt="" coords="3140,95,3234,121"/>
<area shape="rect" title=" " alt="" coords="2259,319,2360,345"/>
<area shape="rect" title=" " alt="" coords="2506,319,2601,345"/>
<area shape="rect" href="request_8h.html" title=" " alt="" coords="32,169,115,196"/>
<area shape="rect" href="request__header_8h.html" title=" " alt="" coords="190,244,325,271"/>
<area shape="rect" href="handler_8h.html" title=" " alt="" coords="244,95,327,121"/>
<area shape="rect" href="response_8h.html" title=" " alt="" coords="587,169,680,196"/>
<area shape="rect" href="http__status_8h.html" title=" " alt="" coords="812,244,919,271"/>
<area shape="rect" href="game_8hpp.html" title=" " alt="" coords="1513,169,1653,196"/>
<area shape="rect" title=" " alt="" coords="190,169,248,196"/>
<area shape="rect" href="player_8hpp.html" title=" " alt="" coords="1044,244,1135,271"/>
<area shape="rect" href="ChatBackend_8hpp.html" title=" " alt="" coords="2347,244,2526,271"/>
<area shape="rect" title=" " alt="" coords="1210,244,1279,271"/>
<area shape="rect" title=" " alt="" coords="1303,244,1362,271"/>
<area shape="rect" title=" " alt="" coords="1386,244,1458,271"/>
<area shape="rect" title=" " alt="" coords="1482,244,1567,271"/>
<area shape="rect" title=" " alt="" coords="1592,244,1662,271"/>
<area shape="rect" title=" " alt="" coords="1686,244,1784,271"/>
<area shape="rect" title=" " alt="" coords="1808,244,1873,271"/>
<area shape="rect" title=" " alt="" coords="2400,319,2473,345"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="moxit__server_8h__dep__incl.png" border="0" usemap="#backend_2src_2lib_2server_2moxit__server_8hdep" alt=""/></div>
<map name="backend_2src_2lib_2server_2moxit__server_8hdep" id="backend_2src_2lib_2server_2moxit__server_8hdep">
<area shape="rect" title=" " alt="" coords="99,5,263,47"/>
<area shape="rect" href="moxit__server_8cpp.html" title=" " alt="" coords="5,95,169,136"/>
<area shape="rect" href="backend_2src_2main_8cpp.html" title=" " alt="" coords="194,102,357,129"/>
</map>
</div>
</div>
<p><a href="moxit__server_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMoxitServer.html">MoxitServer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
